API ReferencePapers
Create a new paper entry
Creates a new screen (paper) to be displayed on the ePaper device.
Middlewares: authMiddleware, validateDeviceIsInOrganization
x-api-key<token>
API key for authentication
In: header
deviceIdstring
A valid MongoDB ObjectId
devicePaperId?string
A valid MongoDB ObjectId
kindstring
meta?unknown
organizationstring
A valid MongoDB ObjectId
Response Body
application/json
curl -X POST "https://api.paperlesspaper.de/v1/papers/" \ -H "Content-Type: application/json" \ -d '{ "deviceId": "682fd0d7d4a6325d9d45b86f", "kind": "string", "organization": "682fd0d7d4a6325d9d45b86e" }'{
"id": "string",
"title": "string",
"content": "string",
"author": "string",
"createdAt": "string",
"updatedAt": "string",
"imageUpdatedAt": "string"
}Query papers by device or organization GET
Retrieves paper entries (screens) filtered by device or by organization when no device is provided. Middlewares: `authMiddleware`, `validateDeviceOrOrganizationQuery`
Generate a file URL for a paper image POST
Creates a temporary signed URL for getting an image from storage. Middlewares: `authMiddleware`, `validatePaper`